Atrium API
List Account Transactions
This endpoint allows you to see every transaction that belongs to a specific account.
GET
/users/{user_guid}/accounts
Path Parameters
The from_date and to_date parameters can optionally be appended to the request if transactions in a specific date range are required.
| Field | Required | Type |
|---|---|---|
from_date Return transactions occurring within a date range starting on this day. If not set, this defaults to 90 days prior to the day of the request. Must be in ISO 8601 format without a time component. | Optional | String |
to_date Return transactions occurring in a date range ending on this day. If not set, this defaults to 5 days forward from the day of the request so as to capture pending transactions. Must be in ISO 8601 format without a time component. | Optional | String |
Request sample
Language:shell
Response sample
Language:json